> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a webhook endpoint

> Retrieves a specific webhook endpoint by ID. The webhook secret is not included in the response.



## OpenAPI

````yaml /api/specs/webhooks-api.json get /webhooks/v1/webhook-endpoints/{id}
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for webhooks service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /webhooks/v1/webhook-endpoints/{id}:
    get:
      tags:
        - Webhook Endpoints
      summary: Get a webhook endpoint
      description: >-
        Retrieves a specific webhook endpoint by ID. The webhook secret is not
        included in the response.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: The webhook endpoint ID
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/WebhookEndpoint'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksBadRequestError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksUnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksForbiddenError'
        '404':
          description: Webhook endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksNotFoundError'
        '429':
          description: Rate Limit Exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksRateLimitError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksInternalServerError'
      security:
        - oauth2:
            - read:webhooks
components:
  schemas:
    WebhookEndpoint:
      type: object
      description: A webhook endpoint configuration
      properties:
        id:
          type: string
          description: Unique identifier for the webhook endpoint
          example: wh_abc123
        networkId:
          type: string
          description: The network (tenant) this endpoint belongs to
          example: n_abc123
        url:
          type: string
          format: uri
          description: The URL where webhook events will be delivered
          example: https://example.com/webhook
        enabledEvents:
          type: array
          items:
            $ref: '#/components/schemas/WebhookEventType'
          description: List of event types this endpoint is subscribed to
        status:
          $ref: '#/components/schemas/WebhookEndpointStatus'
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the endpoint was created
      required:
        - id
        - networkId
        - url
        - enabledEvents
        - status
        - createdAt
    WebhooksBadRequestError:
      type: object
      properties:
        type:
          type: string
          enum:
            - BAD_REQUEST
        code:
          type: string
          enum:
            - INVALID_REQUEST_PARAMETERS
        message:
          type: string
      required:
        - type
        - code
        - message
    WebhooksUnauthorizedError:
      type: object
      properties:
        type:
          type: string
          enum:
            - UNAUTHORIZED
        code:
          type: string
          enum:
            - UNAUTHORIZED
        message:
          type: string
      required:
        - type
        - code
        - message
    WebhooksForbiddenError:
      type: object
      properties:
        type:
          type: string
          enum:
            - FORBIDDEN
        code:
          type: string
          enum:
            - UNAUTHORIZED
        message:
          type: string
      required:
        - type
        - code
        - message
    WebhooksNotFoundError:
      type: object
      properties:
        type:
          type: string
          enum:
            - NOT_FOUND
        code:
          type: string
          enum:
            - NOT_FOUND
        message:
          type: string
      required:
        - type
        - code
        - message
    WebhooksRateLimitError:
      type: object
      properties:
        message:
          type: string
          example: Rate limit exceeded. Please try again later.
      required:
        - message
    WebhooksInternalServerError:
      type: object
      properties:
        type:
          type: string
          enum:
            - INTERNAL_ERROR
        message:
          type: string
      required:
        - type
        - message
    WebhookEventType:
      type: string
      enum:
        - ocpp.message
        - asset.connectivity
      description: The type of event that triggers the webhook
    WebhookEndpointStatus:
      type: string
      enum:
        - active
        - inactive
      description: The status of the webhook endpoint
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth2 Client Credentials Flow
      flows:
        clientCredentials:
          tokenUrl: https://lynkwell-prod.us.auth0.com/oauth/token
          scopes:
            read:asset: Retrieve assets
            write:asset: Create and update assets
            read:assetgroup: Retrieve asset groups
            write:assetgroup: Create and update asset groups
            read:assetstatus: Retrieve asset statuses
            read:chargingstationmodel: Retrieve charging station models
            write:chargingstationmodel: Create and update charging station models
            write:network: Create and update networks
            write:sitepartner: Create and update site partners
            read:sitepartner: Retrieve site partners
            write:sitepartneruser: Create and update site partner users
            read:sitepartneruser: Retrieve site partner users
            read:networkaccessprofile: Retrieve network access profiles
            write:paymentprofile: Create payment profile
            write:onboardinglink: Create an onboarding link
            read:invoice: Retrieve an invoice
            write:session: Create or update a session
            read:session: Retrieve a session
            write:ticket: Create a ticket
            write:verificationcode: Send and confirm verification codes
            write:driver: Create and update drivers
            read:driver: Retrieve drivers
            write:token: Create and update tokens
            read:token: Retrieve tokens
            read:tokenvalue: Retrieve token by ID including its value
            write:invitecode: Create and update invite codes
            write:invitation: Create and update invitations
            read:invitation: Retrieve invitations
            read:payment_terminals_payment: Read payments from payment terminal
            abort:session: Abruptly end session
            read:paymentprofile: Retrieve payment profile from payment terminal
            write:ocpp: Sends request over OCPP
            write:ocpp.raw_request: Sends raw request over OCPP
            write:notification.email: Create and update email
            read:invoiceitem: Retrieve invoice item
            read:subscription: Retrieve subscription
            write:plugandcharge_enrollment: Update Plug and Charge enrollment status
            write:projects: Create and update projects
            read:projects: Retrieve projects
            write:project_stations: Create and update project stations
            write:panel: Create and update panels.
            read:panel: Retrieve panels.
            write:webhooks: Create, update, and delete webhooks
            read:webhooks: Retrieve webhooks

````